org.activiti.engine.task

## Interface Event

- All Superinterfaces:
    Serializable

      public interface Event
      extends Serializable

  Exposes twitter-like feeds for tasks and process instances.
  Author:
    Tom Baeyens
  See Also:
    `TaskService#getTaskEvents(String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_ADD_ATTACHMENT` An attachment was added with the attachment name as message.
    `static String` | `ACTION_ADD_COMMENT` An user comment was added with the short version of the comment as message.
    `static String` | `ACTION_ADD_GROUP_LINK` A group identity link was added with following message parts: [0] groupId [1] identity link type (aka role)
    `static String` | `ACTION_ADD_USER_LINK` A user identity link was added with following message parts: [0] userId [1] identity link type (aka role)
    `static String` | `ACTION_DELETE_ATTACHMENT` An attachment was deleted with the attachment name as message.
    `static String` | `ACTION_DELETE_GROUP_LINK` A group identity link was added with following message parts: [0] groupId [1] identity link type (aka role)
    `static String` | `ACTION_DELETE_USER_LINK` A user identity link was added with following message parts: [0] userId [1] identity link type (aka role)

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()` Indicates the type of of action and also indicates the meaning of the parts as exposed in `getMessageParts()`
    `String` | `getId()` Unique identifier for this event
    `String` | `getMessage()` The message that can be used in case this action only has a single message part.
    `List<String>` | `getMessageParts()` The meaning of the message parts is defined by the action as you can find in `getAction()`
    `String` | `getProcessInstanceId()` reference to the process instance on which this comment was made
    `String` | `getTaskId()` reference to the task on which this comment was made
    `Date` | `getTime()` time and date when the user made the comment
    `String` | `getUserId()` reference to the user that made the comment

- - ### Field Detail

    - #### ACTION_ADD_USER_LINK

          static final String ACTION_ADD_USER_LINK

      A user identity link was added with following message parts: [0] userId [1] identity link type (aka role)
      See Also:
        Constant Field Values

    - #### ACTION_DELETE_USER_LINK

          static final String ACTION_DELETE_USER_LINK

      A user identity link was added with following message parts: [0] userId [1] identity link type (aka role)
      See Also:
        Constant Field Values

    - #### ACTION_ADD_GROUP_LINK

          static final String ACTION_ADD_GROUP_LINK

      A group identity link was added with following message parts: [0] groupId [1] identity link type (aka role)
      See Also:
        Constant Field Values

    - #### ACTION_DELETE_GROUP_LINK

          static final String ACTION_DELETE_GROUP_LINK

      A group identity link was added with following message parts: [0] groupId [1] identity link type (aka role)
      See Also:
        Constant Field Values

    - #### ACTION_ADD_COMMENT

          static final String ACTION_ADD_COMMENT

      An user comment was added with the short version of the comment as message.
      See Also:
        Constant Field Values

    - #### ACTION_ADD_ATTACHMENT

          static final String ACTION_ADD_ATTACHMENT

      An attachment was added with the attachment name as message.
      See Also:
        Constant Field Values

    - #### ACTION_DELETE_ATTACHMENT

          static final String ACTION_DELETE_ATTACHMENT

      An attachment was deleted with the attachment name as message.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

      Unique identifier for this event

    - #### getAction

          String getAction()

      Indicates the type of of action and also indicates the meaning of the parts as exposed in `getMessageParts()`

    - #### getMessageParts

          List<String> getMessageParts()

      The meaning of the message parts is defined by the action as you can find in `getAction()`

    - #### getMessage

          String getMessage()

      The message that can be used in case this action only has a single message part.

    - #### getUserId

          String getUserId()

      reference to the user that made the comment

    - #### getTime

          Date getTime()

      time and date when the user made the comment

    - #### getTaskId

          String getTaskId()

      reference to the task on which this comment was made

    - #### getProcessInstanceId

          String getProcessInstanceId()

      reference to the process instance on which this comment was made

Copyright © 2016 Alfresco. All rights reserved.